openapi: 3.0.3
info:
  title: Ensi Admin Auth
  contact:
    name: API Support
    url: https://ensi.tech/contacts
    email: mail@greensight.ru
  version: 1.0.0
  description: Авторизация системных пользователей
servers:
  - url: /api/v1
tags:
  - name: users
    description: Управление системными пользователями
  - name: roles
    description: Управление ролями
  - name: enums
    description: Управление перечислениями
  - name: oauth
    description: Авторизация через OAuth
paths:
  /enums/rights-access:
    $ref: './users/paths.yaml#/GetRightsAccess'
  /oauth/token:
    $ref: './users/paths.yaml#/OAuthTokenCreate'
  /oauth/tokens/{token_id}:
    $ref: './users/paths.yaml#/OAuthTokenDelete'
  /users:
    $ref: './users/paths.yaml#/Users'
  /users/{id}:
    $ref: './users/paths.yaml#/UsersOne'
  /users:search:
    $ref: './users/paths.yaml#/UsersSearch'
  /users:search-one:
    $ref: './users/paths.yaml#/UsersSearchOne'
  /users:current:
    $ref: './users/paths.yaml#/UsersCurrent'
  /users/{id}:add-roles:
    $ref: './users/paths.yaml#/UserAddRoles'
  /users/{id}:delete-role:
    $ref: './users/paths.yaml#/UserDeleteRole'
  /users/{id}:refresh-password-token:
    $ref: './users/paths.yaml#/UserRefreshPasswordToken'
  /users/mass/change-active:
    $ref: './users/paths.yaml#/UsersChangeActive'
  /roles:
    $ref: './users/paths.yaml#/Roles'
  /roles/{id}:
    $ref: './users/paths.yaml#/RolesOne'
  /roles:search:
    $ref: './users/paths.yaml#/RolesSearch'
components:
  parameters:
    QueryInclude:
      $ref: './common_parameters.yaml#/QueryInclude'
    PathId:
      $ref: './common_parameters.yaml#/PathId'
    TokenId:
      $ref: './oauth/schemas/tokens.yaml#/TokenId'
  schemas:
    EmptyDataResponse:
      type: object
      properties:
        data:
          type: object
          nullable: true
        meta:
          type: object
      required:
          - data
    GrantTypeEnum:
      $ref: './oauth/enums/grant_type_enum.yaml'
    RoleEnum:
      $ref: './users/enums/role_enum.yaml'
    RightsAccessEnum:
      $ref: './users/enums/rights_access_enum.yaml'
    MessageForSetPassword:
      $ref: './kafka_messages.yaml#/MessageForSetPassword'
    MessageAboutDeactivationUser:
      $ref: './kafka_messages.yaml#/MessageAboutDeactivationUser'
    MessageAboutUpdationUser:
      $ref: './kafka_messages.yaml#/MessageAboutUpdationUser'
    PaginationTypeEnum:
      $ref: './common_schemas.yaml#/PaginationTypeEnum'
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    ServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
